function getImageViewsSize(url) {
    let imagesInfoResult = null;
    try {
        let imageView = document.querySelector('[src="' + url + '"]');
        if (!imageView) {
          imageView = document.querySelector('[style="background-image: url(' + url + ');"]');
        }

        if (imageView) {
          const u = new URL(url);
          imagesInfoResult = {};
          imagesInfoResult[u.pathname] = {
            width: imageView.offsetWidth,
            height: imageView.offsetHeight
          };
        }
    } catch(e) {
        console.log(e);
    } finally {
        imageLoader.receiveImageInfo(JSON.stringify(imagesInfoResult));
    }
}
