precision mediump float; 
uniform sampler2D u_Texture0; 
uniform sampler2D u_Texture1;
varying vec2 v_TexCoordinate;
void main()
{
	vec3 texel = texture2D(u_Texture0, v_TexCoordinate).rgb;
	texel = vec3(dot(vec3(0.3, 0.6, 0.1), texel));
	texel = vec3(texture2D(u_Texture1, vec2(texel.r, .16666)).r);

	gl_FragColor = vec4(texel, 1.0);


}