precision mediump float; 
uniform sampler2D u_Texture0; 
uniform sampler2D u_Texture1;
varying vec2 v_TexCoordinate;
void main()
{
	vec3 texel = texture2D(u_Texture0, v_TexCoordinate).rgb;

	vec2 lookup;
	lookup.y = .5;

	lookup.x = texel.r;
	texel.r = texture2D(u_Texture1, lookup).r;

	lookup.x = texel.g;
	texel.g = texture2D(u_Texture1, lookup).g;

	lookup.x = texel.b;
	texel.b = texture2D(u_Texture1, lookup).b;

	gl_FragColor = vec4(texel, 1.0);


}